summaryrefslogtreecommitdiffstats
path: root/dung-3.4.25-m2/common/proc-interrupts.sh
diff options
context:
space:
mode:
Diffstat (limited to 'dung-3.4.25-m2/common/proc-interrupts.sh')
-rwxr-xr-xdung-3.4.25-m2/common/proc-interrupts.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/dung-3.4.25-m2/common/proc-interrupts.sh b/dung-3.4.25-m2/common/proc-interrupts.sh
new file mode 100755
index 0000000..3e709a0
--- /dev/null
+++ b/dung-3.4.25-m2/common/proc-interrupts.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+# dmesg.sh
+#
+# Simple /proc/interrupts presence test
+#
+# Copyright (C) 2013 Horms Soltutions Ltd.
+#
+# Contact: Simon Horman <horms@verge.net.au>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+
+set -e
+#set -x
+
+if [ $# -ne 1 ]; then
+ echo "usage: $(basename $0) PATTERN" >& 2
+ exit 1
+fi
+
+PATTERN="$1"
+
+#echo "/proc/interrupts feature test for '$PATTERN'"
+
+if ! grep "$PATTERN" /proc/interrupts; then
+ echo "error: not matched" >&2
+ exit 1
+fi
+
+#echo "Test passed"